Subject: Bathroom rugs
From: Amy Parker <[email-masked]>
To: [email-masked]
Date: Mon, 27 Oct 2025 08:46:20 -0500

I need to return 4 bathroom rugs I purchased through Amazon.  They are
terrible. We built a house and just washed them for the first time and they
clogged our washing machine and dryer. They lost half their cotton. They
shed terribly.
We purchased them over a month ago so I can’t return them on Amazon.
Highly dissatisfied that I have ruined our washer and dryer because of
these.

AMY PARKER